curl --request GET \
--url https://api.olostep.com/v1/batches/{batch_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.olostep.com/v1/batches/{batch_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.olostep.com/v1/batches/{batch_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"object": "<string>",
"status": "<string>",
"created": 123,
"total_urls": 123,
"completed_urls": 123,
"parser": "<string>",
"country": "<string>",
"metadata": {
"order_id": "12345",
"customer_name": "John Doe",
"priority": "high",
"processed": "true"
},
"webhook": "<string>",
"credits_consumed": 123,
"cost_usd": 123
}{
"id": "error_abc123",
"object": "error",
"code": "invalid_api_key",
"type": "https://docs.olostep.com/api-reference/errors/unauthorized",
"status": 401,
"title": "No autorizado",
"detail": "Your API key is invalid",
"created": 1704067200,
"metadata": {}
}{
"id": "error_abc123",
"object": "error",
"code": "batch_not_found",
"type": "https://docs.olostep.com/api-reference/errors/not_found",
"status": 404,
"title": "No Encontrado",
"detail": "Batch not found",
"created": 1704067200,
"metadata": {}
}{
"id": "error_abc123",
"object": "error",
"code": "internal_server_error",
"type": "https://docs.olostep.com/api-reference/errors/internal_error",
"status": 500,
"title": "Error Interno del Servidor",
"detail": "An unexpected error occurred",
"created": 1704067200,
"metadata": {}
}Información del Lote
Recupera el estado y la información de progreso sobre un lote. Para recuperar el contenido de un lote, consulta aquí
metadata para almacenar pares clave-valor con tu lote. Consulta Metadatos para más detalles.Autorizaciones
Encabezado de autenticación Bearer del formulario Bearer , donde es tu token de autenticación.
Parámetros de ruta
El ID del lote para obtener información.
Respuesta
Respuesta exitosa con información del lote.
ID del Lote
El tipo de objeto. "batch" para este endpoint.
in_progress o completed
Época creada
Conteo de URLs en el lote
Conteo de URLs completadas
Conjunto de pares clave-valor para almacenar información adicional sobre un objeto. Sigue el enfoque de Stripe con reglas de validación: máximo 50 claves, clave máximo 40 caracteres (sin corchetes), valor máximo 500 caracteres, todos los valores almacenados como cadenas.
Show child attributes
Show child attributes
{
"order_id": "12345",
"customer_name": "John Doe",
"priority": "high",
"processed": "true"
}
URL del webhook para recibir notificación de finalización
Número de créditos consumidos por esta solicitud. Se completa después de que la ejecución finaliza. Los créditos son la fuente de verdad para la facturación.
Costo estimado en USD para esta solicitud. Se completa después de que la ejecución finaliza. Calculado a partir de los créditos consumidos y tu tarifa de plan — 99% preciso, pero credits_consumed es el valor autoritativo.
¿Esta página le ayudó?